Show / Hide Table of Contents

# Class QuestToastOptions

This class represents options that can be used with the ToastGui class for the quest toast variant.

##### Inheritance

System.Object
QuestToastOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.Toast

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class QuestToastOptions

### Properties

| Improve this Doc View Source

#### DisplayCheckmark

Gets or sets a value indicating whether the toast will show a checkmark after appearing.

##### Declaration

    public bool DisplayCheckmark { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IconId

Gets or sets the ID of the icon that will appear in the toast.

This may be 0 for no icon.

##### Declaration

    public uint IconId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PlaySound

Gets or sets a value indicating whether the toast will play a completion sound.

This only works if IconId is non-zero or DisplayCheckmark is true.

##### Declaration

    public bool PlaySound { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Position

Gets or sets the position of the toast on the screen.

##### Declaration

    public QuestToastPosition Position { get; set; }

##### Property Value

Type | Description
--- | ---
QuestToastPosition |